/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\quests\kill quests\Random\conversations.cs
Lines of code: 60
***********************************************************/


using System;
using Server;

namespace Server.Engines.Quests.RandomKillQuest
{
	public class DontOfferConversation : QuestConversation
	{
		public override object Message
		{
			get
			{
				return "You seem preoccupied with another quest at the moment, please return when you are fully ready to be of good use!";
			}
		}

		public override bool Logged{ get{ return false; } }

		public DontOfferConversation()
		{
		}
	}

	public class AcceptConversation : QuestConversation
	{
	
		public override object Message
		{
			get
			{				
				return "Thank you!  See log for what I need you to kill and return to me when done.";
			}
		}

		public AcceptConversation()
		{
		}

		public override void OnRead()
		{
			KillObjective ko = new KillObjective();
			
			//kill entry1:
			ko.AddQKE("Hiryu","Hiryus",5);
			
			//kill entry 2:
			QuestKillEntry entry2 = new QuestKillEntry("Dragon","Dragons in test area or luna",3);
			entry2.AddLocation(new Rectangle2D(new Point2D(5396,1081),new Point2D(5406,1091)),Map.Felucca);
			entry2.AddLocation(new Rectangle2D(new Point2D(859,387),new Point2D(1247,717)),Map.Malas);
			
			ko.AddQKE(entry2);
			
			
			
			
			//And finally, add the fully setup objective:
			System.AddObjective( ko );
			
			System.ShowQuestLogUpdated();
		}
	}

	
	
	public class EndConversation : QuestConversation
	{
		public override object Message
		{
			get
			{
				return "Thank you for helping make these lands a better place by killing nasties.  Here is your reward.";
			}
		}

		public EndConversation()
		{
		}

		public override void OnRead()
		{
			RandomKillQuest.GiveRewardTo( System.From);
		}
	}		
	
	
}